# Excel文件格式说明

## 输入文件格式

输入的Excel文件应包含至少2个Sheet页，格式如下：

### Sheet1 (员工信息)

| A | B | C | D | E | F |
|---|---|---|---|---|---|
| 1 |   |   |   |   |   |
| 2 |   |   |   |   |   |
| 3 |   | 员工编号 | 员工姓名 | 员工部门 |   |
| 4 |   |   |   |   |   |

重要单元格：
- B3: 员工编号 (会映射到输出文件的C3)
- C3: 员工姓名 (会映射到输出文件的E2，并用于生成文件名)
- D3: 员工部门 (会映射到输出文件的E3)

### Sheet2 (考勤信息)

| A | B | C | D | E | F |
|---|---|---|---|---|---|
| 1 |   |   |   |   |   |
| 2 |   |   |   |   |   |
| 3 |   |   |   |   |   |
| 4 |   | 2024年3月1日 |   |   |   |
| 5 |   |   |   |   |   |

重要单元格：
- B4: 日期 (格式为"YYYY年M月D日")，从中提取年月用于文件命名

整个Sheet2会完整复制到输出文件的第二个Sheet页，并重命名为"M月勤怠一覧"。

## 输出文件格式

输出文件基于模板文件(template.xls)生成，包含以下主要字段：

### Sheet1 (工资明细)

| A | B | C | D | E | F |
|---|---|---|---|---|---|
| 1 |   |   |   |   |   |
| 2 |   |   | 所属公司 |   | 员工姓名 | 其他信息 |
| 3 |   |   | 员工编号 |   | 员工部门 |   |
| ... |   |   |   |   |   |
| 30 |   | 转账银行 |   |   |   |

自定义字段：
- C2: 所属公司 (从UI界面选择)
- B30: 转账银行 (从UI界面选择)
- F2: 其他信息 (从UI界面输入)

### Sheet2 (M月勤怠一覧)

这个Sheet页是从输入文件的Sheet2完整复制而来，保留所有内容和格式。

## 文件命名规则

输出文件名格式：`YYYY年M月份給料明細書-姓名.xls`

例如：`2024年3月份給料明細書-範慶博.xls` 